<?php

/**
 * @package     Joomla.Site
 * @subpackage  Templates.jpc_23
 *
 * @copyright   (C) 2017 Open Source Matters, Inc. <https://www.joomla.org>
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Uri\Uri;


/** @var Joomla\CMS\Document\HtmlDocument $this */

$app = Factory::getApplication();
$wa  = $this->getWebAssetManager();
?>
<!DOCTYPE html>
<html lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">

<head>
    <!-- essentials meta -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <jdoc:include type="metas" />
    <jdoc:include type="styles" />
    <jdoc:include type="scripts" />
    <!-- bootstrap -->
    <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/tpl_jpc_23/media/css/bootstrap.min.css">
    <!-- fontawesome -->
    <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/tpl_jpc_23/media/css/brands.css">
    <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/tpl_jpc_23/media/css/fontawesome.css">
    <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/tpl_jpc_23/media/css/solid.css">
    <!-- Google tracking script -->
    <?php if ($this->params->get('trackingID')) : ?>
        <!-- Google tag (gtag.js) -->
        <script async src="https://www.googletagmanager.com/gtag/js?id=<?php echo $this->params->get('trackingID'); ?>"></script>
        <script>
            window.dataLayer = window.dataLayer || [];

            function gtag() {
                dataLayer.push(arguments);
            }
            gtag('js', new Date());

            gtag('config', '<?php echo $this->params->get('trackingID'); ?>');
        </script>
    <?php endif; ?>

</head>

<body class="site <?php echo $option
                        . ' ' . $wrapper
                        . ' view-' . $view
                        . ($layout ? ' layout-' . $layout : ' no-layout')
                        . ($task ? ' task-' . $task : ' no-task')
                        . ($itemid ? ' itemid-' . $itemid : '')
                        . ($pageclass ? ' ' . $pageclass : '')
                        . $hasClass
                        . ($this->direction == 'rtl' ? ' rtl' : '');
                    ?>">
    <div class="grid-child container-component">
        <jdoc:include type="modules" name="breadcrumbs" style="none" />
        <jdoc:include type="modules" name="main-top" style="card" />
        <jdoc:include type="message" />
        <main>
            <jdoc:include type="component" />
        </main>
        <jdoc:include type="modules" name="main-bottom" style="card" />
    </div>
    <!--
        ion icon link
<script type="module" src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.esm.js"></script>
<script nomodule src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.js"></script>    -->

</body>

</html>